//
// © 2014 David Vines
//
// Creative Commons License
//
// This work is licensed under a Creative Commons Attribution-NonCommercial-ShareAlike 4.0 International License.
//

/* jshint sub:true */
/* globals Game: true */

Game.Glyph = function(properties) {
    properties = properties || {};
    this._char = properties['character'] || ' ';
    this._foreground = properties['foreground'] || 'white';
    this._background = properties['background'] || 'transparent';
};

Game.Glyph.prototype.getChar = function() {
    return this._char;
};

Game.Glyph.prototype.getBackground = function() {
    return this._background;
};

Game.Glyph.prototype.getForeground = function() {
    return this._foreground;
};